package com.emall.flash.bean.constant.state;

/**
 * 积分类型
 *
 */
public enum IntegralStyle {

    REGISTER(1, "新会员福利"),
    BUY(2, "购买商品"),
    RECEIPT(3, "上传小票");

    int code;
    String message;

    IntegralStyle(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public static String valueOf(Integer value) {
        if (value == null) {
            return "";
        } else {
            for (IntegralStyle ms : IntegralStyle.values()) {
                if (ms.getCode() == value) {
                    return ms.getMessage();
                }
            }
            return "";
        }
    }
}
