package com.emall.flash.bean.core;

import java.lang.annotation.*;

/**
 * 商圈注解 用于过滤数据
 *
 * @example @TenantId
 */
@Inherited
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD})
public @interface TenantId {
    String dataAlias() default "";
}
