package com.emall.flash.bean.entity.shop;

import com.emall.flash.bean.entity.BaseEntity;
import lombok.Data;
import org.hibernate.annotations.Table;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EntityListeners;


@Entity(name="t_shop_parking")
@Table(appliesTo = "t_shop_parking",comment = "停车场")
@Data
@EntityListeners(AuditingEntityListener.class)
public class Parking extends BaseEntity {

    //商圈id
    @Column(updatable = false)
    private Long tenantId;
    //停车场名称
    private String name;
    //地址
    private String address;
    //图片
    private String img;

}
