package com.emall.flash.bean.entity.shop;

import com.emall.flash.bean.entity.BaseEntity;
import lombok.Data;
import org.hibernate.annotations.Table;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EntityListeners;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Entity(name="t_shop_tenant_user")
@Table(appliesTo = "t_shop_tenant_user",comment = "商圈会员关联")
@Data
@EntityListeners(AuditingEntityListener.class)
public class TenantUser extends BaseEntity {
    //积分
    private Integer integral;
    //等级
    private Integer level;
    //会员id
    private Long userId;
    //商圈id
    @Column(updatable = false)
    private Long tenantId;
}
