package com.emall.flash.bean.entity.shop;

import com.emall.flash.bean.entity.BaseEntity;
import lombok.Data;
import org.hibernate.annotations.Table;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EntityListeners;


@Entity(name="t_shop_user_car")
@Table(appliesTo = "t_shop_user_car",comment = "会员车辆")
@Data
@EntityListeners(AuditingEntityListener.class)
public class UserCar extends BaseEntity {

    //会员id
    private Long userId;
    //车牌名称
    private String car;
    //车辆类型（0普通车辆  1新能源）
    private Integer type;


}
