package com.emall.flash.bean.entity.shop;

import com.emall.flash.bean.entity.BaseEntity;
import lombok.Data;
import org.hibernate.annotations.Table;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EntityListeners;
import javax.persistence.Transient;

@Entity(name="t_shop_user_integral")
@Table(appliesTo = "t_shop_user_integral",comment = "商圈会员关联")
@Data
@EntityListeners(AuditingEntityListener.class)
public class UserIntegral extends BaseEntity {

    //会员id
    private Long userId;
    //商圈id
    @Column(updatable = false)
    private Long tenantId;
    //方式（0增加  1扣除）
    private Integer type;
    //积分类型
    private Integer style;
    //积分类型
    @Transient
    private String styleName;
    //变动积分
    private Integer integral;
    //描述
    private String remarks;
}
