package com.emall.flash.bean.entity.system;

import com.emall.flash.bean.entity.BaseEntity;
import lombok.Data;
import org.hibernate.annotations.Table;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EntityListeners;
import javax.validation.constraints.NotBlank;

/**
 * Created  on 2018/4/2 0002.
 *
 * @author enilu
 */
@Entity(name="t_sys_city")
@Table(appliesTo = "t_sys_city",comment = "商圈城市")
@Data
@EntityListeners(AuditingEntityListener.class)
public class City extends BaseEntity {
    @NotBlank(message = "城市名称不能为空")
    @Column(name = "name",columnDefinition = "VARCHAR(50) COMMENT '城市名称'")
    private String name;
    @NotBlank(message = "权重不能为空")
    @Column(name = "sort",columnDefinition = "INT(10) COMMENT '权重'")
    private Integer sort;

}
