package com.emall.flash.bean.entity.system;

import com.emall.flash.bean.entity.BaseEntity;
import lombok.Data;
import org.hibernate.annotations.Table;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EntityListeners;
import javax.persistence.Transient;
import java.math.BigDecimal;
@Entity(name = "t_member_benefits")
@Table(appliesTo = "t_member_benefits",comment = "会员权益")
@Data
@EntityListeners(AuditingEntityListener.class)
public class MemberBenefits extends BaseEntity {

    @Column
    private String name;
    @Column
    private Integer level;
    @Column
    private Integer integral;
    @Column
    private BigDecimal discount;
    @Column(name="del_flag")
    private Integer delFlag;
    @Column
    private String rankCard;
    @Column
    private Integer status;

    @Column
    private String membershipCard;
    @Transient
    private String randUrl;
    @Transient
    private String memberUrl;

    @Column(name = "tenant_id")
    private Long tenantId;
}
