package com.emall.flash.dao.shop;

import com.emall.flash.bean.entity.shop.IntegralAmout;
import com.emall.flash.dao.BaseRepository;
import java.util.List;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

public interface IntegralAmoutRepository extends BaseRepository<IntegralAmout,Long> {

           @Query(nativeQuery = true, value = "select id,create_by,create_time,modify_by,modify_time,tenant_id,amount,integral,del_flag from t_shop_integral_amount where del_flag = 0 and tenant_id = :tenantId")
    public List<IntegralAmout> findAllIntegral(@Param("tenantId") Long tenantId);
}
