package com.emall.flash.bean.entity.shop;

import com.emall.flash.bean.entity.BaseEntity;
import lombok.Data;
import org.hibernate.annotations.Table;

import javax.persistence.Column;
import javax.persistence.Entity;
import java.math.BigDecimal;

@Data
@Table(appliesTo = "t_shop_integral_amount",comment = "积分金额兑换")
@Entity(name="t_shop_integral_amount")
public class IntegralAmout extends BaseEntity {

    @Column
    private Long tenantId;
    @Column(name = "amount")
    private BigDecimal amount;
    @Column(name = "integral")
    private Integer integral;

}
