package com.emall.flash.bean.entity.shop;

import com.emall.flash.bean.entity.BaseEntity;
import lombok.Data;
import org.hibernate.annotations.Table;

import javax.persistence.Column;
import javax.persistence.Entity;
import java.util.Date;

@Data
@Table(appliesTo = "t_message_instance",comment = "个人会员消息表")
@Entity(name="t_message_instance")
public class MessageInstance extends BaseEntity {

    @Column
    private Long tenantId;
    @Column
    private String title;
    @Column
    private String content;
    @Column
    private Long templateId;
    @Column
    private Long recipientId;
    @Column
    private String url;
    @Column
    private Date pushTime;
    @Column
    private String status;
    @Column
    private String readFlag;
    @Column
    private String type;
    @Column
    private String flag;
    @Column
    private String remarks;

}
