package com.emall.flash.bean.vo;

import com.emall.flash.utils.StringUtil;
import lombok.Data;

import java.util.Date;

/**
 * @author ：enilu
 * @date ：Created in 11/6/2019 11:29 AM
 */
@Data
public class UserInfo {
    private Long id;
    private String mobile;
    private String avatar;
    private String nickName;
    private Date lastLoginTime;
    private String gender;
    private String wechatNickName;
    private String wechatHeadImgUrl;
    private Date birthday;
    private String address;
    private String jobs;
    private Integer marriage;
    private String idNumber;
    private Boolean refreshWechatInfo = true;
    //上次登录商圈id
    private Long tenantId;
    private String tenantName;
    public String getNickName() {
        return StringUtil.isEmpty(nickName)?wechatNickName:nickName;
    }
}
