package com.emall.flash.dao.shop;


import com.emall.flash.bean.entity.shop.Order;
import com.emall.flash.dao.BaseRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;
import java.util.Map;


public interface OrderRepository extends BaseRepository<Order,Long>{

    @Query(nativeQuery = true, value = "SELECT status,count(1) as count FROM `t_shop_order` where tenant_id = ?1 GROUP BY status")
    List<Map> queryByTenantId(Long tenantId);
}

