
package com.emall.flash.dao.shop;

import com.emall.flash.bean.entity.shop.Shop;
import com.emall.flash.dao.BaseRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * 全局参数dao
 *
 * @author ：enilu
 * @date ：Created in 2019/6/29 12:50
 */
public interface ShopRepository extends BaseRepository<Shop,Long> {


    @Query(nativeQuery = true,value = "SELECT DISTINCT floor FROM t_shop where del_flag = 0 and `status` = 1 and if(?1 is not null and ?1 != '',name like %?1%,1=1) and tenant_id = ?2 ORDER BY mid(floor,1,1), mid(floor,2,10)+1")
    List<String> selectShopFloor(String name, Long tenantId);
}
