package com.emall.flash.dao.system;

import com.emall.flash.bean.entity.system.LoginLog;
import com.emall.flash.dao.BaseRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.transaction.annotation.Transactional;

/**
 * Created  on 2018/3/21 0021.
 *
 * @author enilu
 */
public interface LoginLogRepository extends BaseRepository<LoginLog,Long> {
    @Modifying
    @Transactional
    @Query(nativeQuery = true,value = "delete from t_sys_login_log")
    int clear();

    @Transactional
    @Modifying(clearAutomatically = true)
    @Query(nativeQuery = true,value = "update t_sys_login_log m set m.del_flag = 1 ")
    void clearAll();
}
