package com.emall.flash.service.shop;

import com.emall.flash.bean.entity.shop.MessageInstance;
import com.emall.flash.bean.vo.front.Rets;
import com.emall.flash.dao.shop.MessageInstanceRepository;
import com.emall.flash.service.BaseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service
public class MessageInstanceService extends BaseService<MessageInstance,Long, MessageInstanceRepository> {

    @Autowired
    private MessageInstanceRepository messageInstanceRepository;

    // 发布消息
    /**
     * 发部消息
    *@params title 消息标题, content 消息内容, templateId 消息模板id,recipientId 收件人id,url 跳转地址
    *@Return
    */
    public Object addMessage(String title,String content, Long templateId,Long recipientId,String url){
        MessageInstance messageInstance = new MessageInstance();
        messageInstance.setTitle(title);
        messageInstance.setContent(content);
        messageInstance.setTemplateId(templateId);
        messageInstance.setRecipientId(recipientId);
        messageInstance.setUrl(url);
        messageInstance.setPushTime(new Date());
        messageInstance.setStatus("1");
        messageInstance.setReadFlag("0");
        messageInstance.setDelFlag(0);
        messageInstance.setType("0");
        messageInstance.setFlag("1");
        insert(messageInstance);
        return Rets.success(messageInstance.getId());
    }

}
